TdsCore.TdsToken (jTDS API)
Keywords: net.sourceforge.jtds.jdbc.TdsCore.TdsToken class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jtds.jdbc
Class TdsCore.TdsToken

    java.lang.Object
      net.sourceforge.jtds.jdbc.TdsCore.TdsToken

Enclosing class:
  TdsCore

private static class TdsCore.TdsToken
extends java.lang.Object

Inner static class used to hold information about TDS tokens read.

Field Summary
`(package private) java.lang.Object[]` | `dynamParamData` The dynamic parameter data from the last TDS_DYNAMIC token.
`(package private) ColInfo[]` | `dynamParamInfo` The dynamic parameters from the last TDS_DYNAMIC token.
`(package private) byte[]` | `nonce` The nonce from an NTLM challenge packet.
`(package private) byte[]` | `ntlmMessage` NTLM authentication message.
`(package private) byte[]` | `ntlmTarget` target info for NTLM message TODO: I don't need to store these!!!
`(package private) byte` | `operation` The operation field from a DONE packet.
`(package private) byte` | `status` The status field from a DONE packet.
`(package private) byte` | `token` The current TDS token byte.
`(package private) int` | `updateCount` The update count from a DONE packet.

Constructor Summary
`private` | `TdsCore.TdsToken()`

Method Summary
`(package private) boolean` | `isAuthToken()` Retrieve the NTLM challenge status.
`(package private) boolean` | `isEndToken()` Retrieve the DONE token status.
`(package private) boolean` | `isResultSet()` Retrieve the result set status.
`boolean` | `isRowData()` Retrieve the row data status.
`(package private) boolean` | `isUpdateCount()` Retrieve the update count status.
`(package private) boolean` | `resultsPending()` Retrieve the results pending status.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### token

    byte token

  The current TDS token byte.

### status

    byte status

  The status field from a DONE packet.

### operation

    byte operation

  The operation field from a DONE packet.

### updateCount

    int updateCount

  The update count from a DONE packet.

### nonce

    byte[] nonce

  The nonce from an NTLM challenge packet.

### ntlmMessage

    byte[] ntlmMessage

  NTLM authentication message.

### ntlmTarget

    byte[] ntlmTarget

  target info for NTLM message TODO: I don't need to store these!!!

### dynamParamInfo

    ColInfo[] dynamParamInfo

  The dynamic parameters from the last TDS_DYNAMIC token.

### dynamParamData

    java.lang.Object[] dynamParamData

  The dynamic parameter data from the last TDS_DYNAMIC token.

Constructor Detail

### TdsCore.TdsToken

    private TdsCore.TdsToken()

Method Detail

### isUpdateCount

    boolean isUpdateCount()

  Retrieve the update count status.

  Returns:
    `boolean` true if the update count is valid.

### isEndToken

    boolean isEndToken()

  Retrieve the DONE token status.

  Returns:
    `boolean` true if the current token is a DONE packet.

### isAuthToken

    boolean isAuthToken()

  Retrieve the NTLM challenge status.

  Returns:
    `boolean` true if the current token is an NTLM challenge.

### resultsPending

    boolean resultsPending()

  Retrieve the results pending status.

  Returns:
    `boolean` true if more results in input.

### isResultSet

    boolean isResultSet()

  Retrieve the result set status.

  Returns:
    `boolean` true if the current token is a result set.

### isRowData

    public boolean isRowData()

  Retrieve the row data status.

  Returns:
    `boolean` true if the current token is a result row.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated on December 30 2009